<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (!defined("_LOAD_PAGE_")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

		openTable();

		if (isset($_GET['cod'])) { $cod = intval($_GET['cod']); } else { $cod = ""; }
		
		echo "<div style='width:354px; margin:0 auto;'><img src='pages/error/ooops.jpg' alt='Error'><br>";
			switch($cod) {
				case "400": echo "<div style='font-size:40px;'><b>Error 400</b></div> Bad Request"; break;
				case "401": echo "<div style='font-size:40px;'><b>Error 401</b></div> Authorization Required"; break;
				case "403": echo "<div style='font-size:40px;'><b>Error 403</b></div> Forbidden"; break;
				case "404": echo "<div style='font-size:40px;'><b>Error 404</b></div> The page cannot be found"; break;
				case "500": echo "<div style='font-size:40px;'><b>Error 500</b></div> Server Configuration Error"; break;
				default: echo "<div style='font-size:30px;'><b>Error Unknown!</b>"; break;
			}
			echo "<br><br><br>";
			
			echo "<form name='errsrc' action='index.php?page=search' method='post'>\n";
				echo "<input name='query' type='text' size='20' maxlength='100'>\n";
				echo "<input type='hidden' name='results' value='10'>\n";
				echo "<input type='hidden' name='where' value='all'>\n";
				echo "<input type='submit' name='Submit' value='"._SEARCH_."'>\n";
			echo "</form>\n";
			
		echo "</div>\n";
		
		global $siteConfig;
		echo "<meta http-equiv='refresh' content='10;URL=".$siteConfig['site_url']."'>";
		
		closeTable();
?>